org.apache.ignite.internal.processors.platform.events

## Class PlatformEventFilterListenerImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.events.PlatformEventFilterListenerImpl

All Implemented Interfaces:
  Externalizable, Serializable, PlatformEventFilterListener, IgniteBiPredicate<UUID,Event>, IgnitePredicate<Event>

    public class PlatformEventFilterListenerImpl
    extends Object
    implements PlatformEventFilterListener, Externalizable

Platform event filter. Delegates apply to native platform.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PlatformEventFilterListenerImpl()` `Externalizable` support.
`PlatformEventFilterListenerImpl(long hnd, PlatformContext ctx)` Constructor.
`PlatformEventFilterListenerImpl(Object pred, int... types)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(Event evt)` Predicate body.
`boolean` `apply(UUID uuid, Event evt)` Predicate body.
`boolean` `equals(Object o)`
`int` `hashCode()`
`void` `initialize(GridKernalContext gridCtx)` Initializes the filter.
`void` `onClose()` Callback invoked when filter is closed.
`void` `readExternal(ObjectInput in)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.lang.IgniteBiPredicate

`and`

### Constructor Detail

#### PlatformEventFilterListenerImpl

    public PlatformEventFilterListenerImpl()

`Externalizable` support.

#### PlatformEventFilterListenerImpl

    public PlatformEventFilterListenerImpl(long hnd,
                                           PlatformContext ctx)

Constructor.

Parameters:
  `hnd` - Handle in the native platform.
  `ctx` - Context.

#### PlatformEventFilterListenerImpl

    public PlatformEventFilterListenerImpl(Object pred,
                                           int... types)

Constructor.

Parameters:
  `pred` - .Net binary predicate.

### Method Detail

#### apply

    public boolean apply(Event evt)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate<Event>`
Parameters:
  `evt` - Predicate parameter.
Returns:
  Return value.

#### apply

    public boolean apply(UUID uuid,
                         Event evt)

Predicate body.

Specified by:
  `apply` in interface `IgniteBiPredicate<UUID,Event>`
Parameters:
  `uuid` - First parameter.
  `evt` - Second parameter.
Returns:
  Return value.

#### onClose

    public void onClose()

Callback invoked when filter is closed.

Specified by:
  `onClose` in interface `PlatformEventFilterListener`

#### initialize

    public void initialize(GridKernalContext gridCtx)

Initializes the filter.

Specified by:
  `initialize` in interface `PlatformEventFilterListener`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020